<?php

/**
 * Functions which enhance the theme by hooking into WordPress
 *
 * @package moving_truck_rental
 */

function moving_truck_rental_body_classes( $moving_truck_rental_classes ) {
	// Adds a class of hfeed to non-singular pages.
	if ( ! is_singular() ) {
		$moving_truck_rental_classes[] = 'hfeed';
	}

	// Adds a class of no-sidebar when there is no sidebar present.
	if ( ! is_active_sidebar( 'sidebar-1' ) ) {
		$moving_truck_rental_classes[] = 'no-sidebar';
	}

	$moving_truck_rental_classes[] = moving_truck_rental_sidebar_layout();

	return $moving_truck_rental_classes;
}
add_filter( 'body_class', 'moving_truck_rental_body_classes' );

/**
 * Add a pingback url auto-discovery header for single posts, pages, or attachments.
 */
function moving_truck_rental_pingback_header() {
	if ( is_singular() && pings_open() ) {
		printf( '<link rel="pingback" href="%s">', esc_url( get_bloginfo( 'pingback_url' ) ) );
	}
}
add_action( 'wp_head', 'moving_truck_rental_pingback_header' );


/**
 * Get all posts for customizer Post content type.
 */
function moving_truck_rental_get_post_choices() {
	$moving_truck_rental_choices = array( '' => esc_html__( '--Select--', 'moving-truck-rental' ) );
	$moving_truck_rental_args    = array( 'numberposts' => -1 );
	$moving_truck_rental_posts   = get_posts( $moving_truck_rental_args );

	foreach ( $moving_truck_rental_posts as $moving_truck_rental_post ) {
		$moving_truck_rental_id             = $moving_truck_rental_post->ID;
		$moving_truck_rental_title          = $moving_truck_rental_post->post_title;
		$moving_truck_rental_choices[ $moving_truck_rental_id ] = $moving_truck_rental_title;
	}

	return $moving_truck_rental_choices;
}

/**
 * Get all pages for customizer Page content type.
 */
function moving_truck_rental_get_page_choices() {
	$moving_truck_rental_choices = array( '' => esc_html__( '--Select--', 'moving-truck-rental' ) );
	$moving_truck_rental_pages   = get_pages();

	foreach ( $moving_truck_rental_pages as $moving_truck_rental_page ) {
		$moving_truck_rental_choices[ $moving_truck_rental_page->ID ] = $moving_truck_rental_page->post_title;
	}

	return $moving_truck_rental_choices;
}

/**
 * Get all categories for customizer Category content type.
 */
function moving_truck_rental_get_post_cat_choices() {
	$moving_truck_rental_choices = array( '' => esc_html__( '--Select--', 'moving-truck-rental' ) );
	$moving_truck_rental_cats    = get_categories();

	foreach ( $moving_truck_rental_cats as $moving_truck_rental_cat ) {
		$moving_truck_rental_choices[ $moving_truck_rental_cat->term_id ] = $moving_truck_rental_cat->name;
	}

	return $moving_truck_rental_choices;
}

/**
 * Get all donation forms for customizer form content type.
 */
function moving_truck_rental_get_post_donation_form_choices() {
	$moving_truck_rental_choices = array( '' => esc_html__( '--Select--', 'moving-truck-rental' ) );
	$moving_truck_rental_posts   = get_posts(
		array(
			'post_type'   => 'give_forms',
			'numberposts' => -1,
		)
	);
	foreach ( $moving_truck_rental_posts as $moving_truck_rental_post ) {
		$moving_truck_rental_choices[ $moving_truck_rental_post->ID ] = $moving_truck_rental_post->post_title;
	}
	return $moving_truck_rental_choices;
}

if ( ! function_exists( 'moving_truck_rental_excerpt_length' ) ) :
	/**
	 * Excerpt length.
	 */
	function moving_truck_rental_excerpt_length( $moving_truck_rental_length ) {
		if ( is_admin() ) {
			return $moving_truck_rental_length;
		}

		return get_theme_mod( 'moving_truck_rental_excerpt_length', 20 );
	}
endif;
add_filter( 'excerpt_length', 'moving_truck_rental_excerpt_length', 999 );

if ( ! function_exists( 'moving_truck_rental_excerpt_more' ) ) :
	/**
	 * Excerpt more.
	 */
	function moving_truck_rental_excerpt_more( $moving_truck_rental_more ) {
		if ( is_admin() ) {
			return $moving_truck_rental_more;
		}

		return '&hellip;';
	}
endif;
add_filter( 'excerpt_more', 'moving_truck_rental_excerpt_more' );

if ( ! function_exists( 'moving_truck_rental_sidebar_layout' ) ) {
	/**
	 * Get sidebar layout.
	 */
	function moving_truck_rental_sidebar_layout() {
		$moving_truck_rental_sidebar_position      = get_theme_mod( 'moving_truck_rental_sidebar_position', 'right-sidebar' );
		$moving_truck_rental_sidebar_position_post = get_theme_mod( 'moving_truck_rental_post_sidebar_position', 'right-sidebar' );
		$moving_truck_rental_sidebar_position_page = get_theme_mod( 'moving_truck_rental_page_sidebar_position', 'right-sidebar' );

		if ( is_home() ) {
			$moving_truck_rental_sidebar_position = $moving_truck_rental_sidebar_position_post;
		} elseif ( is_page() ) {
			$moving_truck_rental_sidebar_position = $moving_truck_rental_sidebar_position_page;
		}

		return $moving_truck_rental_sidebar_position;
	}
}

if ( ! function_exists( 'moving_truck_rental_is_sidebar_enabled' ) ) {
	/**
	 * Check if sidebar is enabled.
	 */
	function moving_truck_rental_is_sidebar_enabled() {
		$moving_truck_rental_sidebar_position      = get_theme_mod( 'moving_truck_rental_sidebar_position', 'right-sidebar' );
		$moving_truck_rental_sidebar_position_post = get_theme_mod( 'moving_truck_rental_post_sidebar_position', 'right-sidebar' );
		$moving_truck_rental_sidebar_position_page = get_theme_mod( 'moving_truck_rental_page_sidebar_position', 'right-sidebar' );

		$moving_truck_rental_sidebar_enabled = true;
		if ( is_single() || is_archive() || is_search() ) {
			if ( 'no-sidebar' === $moving_truck_rental_sidebar_position ) {
				$moving_truck_rental_sidebar_enabled = false;
			}
		} elseif ( is_home() ) {
			if ( 'no-sidebar' === $moving_truck_rental_sidebar_position || 'no-sidebar' === $moving_truck_rental_sidebar_position_post ) {
				$moving_truck_rental_sidebar_enabled = false;
			}
		} elseif ( is_page() ) {
			if ( 'no-sidebar' === $moving_truck_rental_sidebar_position || 'no-sidebar' === $moving_truck_rental_sidebar_position_page ) {
				$moving_truck_rental_sidebar_enabled = false;
			}
		}
		return $moving_truck_rental_sidebar_enabled;
	}
}

if ( ! function_exists( 'moving_truck_rental_get_homepage_sections ' ) ) {
	/**
	 * Returns homepage sections.
	 */
	function moving_truck_rental_get_homepage_sections() {
		$sections = array(
			'banner'  => esc_html__( 'Banner Section', 'moving-truck-rental' ),
			'services' => esc_html__( 'Services Section', 'moving-truck-rental' ),
		);
		return $sections;
	}
}

/**
 * Renders customizer section link
 */
function moving_truck_rental_section_link( $moving_truck_rental_section_id ) {
	$moving_truck_rental_section_name      = str_replace( 'moving_truck_rental_', ' ', $moving_truck_rental_section_id );
	$moving_truck_rental_section_name      = str_replace( '_', ' ', $moving_truck_rental_section_name );
	$moving_truck_rental_starting_notation = '#';
	?>
	<span class="section-link">
		<span class="section-link-title"><?php echo esc_html( $moving_truck_rental_section_name ); ?></span>
	</span>
	<style type="text/css">
		<?php echo $moving_truck_rental_starting_notation . $moving_truck_rental_section_id; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>:hover .section-link {
			visibility: visible;
		}
	</style>
	<?php
}

/**
 * Adds customizer section link css
 */
function moving_truck_rental_section_link_css() {
	if ( is_customize_preview() ) {
		?>
		<style type="text/css">
			.section-link {
				visibility: hidden;
				background-color: black;
				position: relative;
				top: 80px;
				z-index: 99;
				left: 40px;
				color: #fff;
				text-align: center;
				font-size: 20px;
				border-radius: 10px;
				padding: 20px 10px;
				text-transform: capitalize;
			}

			.section-link-title {
				padding: 0 10px;
			}

			.banner-section {
				position: relative;
			}

			.banner-section .section-link {
				position: absolute;
				top: 100px;
			}
		</style>
		<?php
	}
}
add_action( 'wp_head', 'moving_truck_rental_section_link_css' );

/**
 * Breadcrumb.
 */
function moving_truck_rental_breadcrumb( $moving_truck_rental_args = array() ) {
	if ( ! get_theme_mod( 'moving_truck_rental_enable_breadcrumb', true ) ) {
		return;
	}

	$moving_truck_rental_args = array(
		'show_on_front' => false,
		'show_title'    => true,
		'show_browse'   => false,
	);
	breadcrumb_trail( $moving_truck_rental_args );
}
add_action( 'moving_truck_rental_breadcrumb', 'moving_truck_rental_breadcrumb', 10 );

/**
 * Add separator for breadcrumb trail.
 */
function moving_truck_rental_breadcrumb_trail_print_styles() {
	$moving_truck_rental_breadcrumb_separator = get_theme_mod( 'moving_truck_rental_breadcrumb_separator', '/' );

	$moving_truck_rental_style = '
		.trail-items li::after {
			content: "' . $moving_truck_rental_breadcrumb_separator . '";
		}'; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped

	$moving_truck_rental_style = apply_filters( 'moving_truck_rental_breadcrumb_trail_inline_style', trim( str_replace( array( "\r", "\n", "\t", '  ' ), '', $moving_truck_rental_style ) ) );

	if ( $moving_truck_rental_style ) {
		echo "\n" . '<style type="text/css" id="breadcrumb-trail-css">' . $moving_truck_rental_style . '</style>' . "\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
	}
}
add_action( 'wp_head', 'moving_truck_rental_breadcrumb_trail_print_styles' );

/**
 * Pagination for archive.
 */
function moving_truck_rental_render_posts_pagination() {
	$moving_truck_rental_is_pagination_enabled = get_theme_mod( 'moving_truck_rental_enable_pagination', true );
	if ( $moving_truck_rental_is_pagination_enabled ) {
		$moving_truck_rental_pagination_type = get_theme_mod( 'moving_truck_rental_pagination_type', 'default' );
		if ( 'default' === $moving_truck_rental_pagination_type ) :
			the_posts_navigation();
		else :
			the_posts_pagination();
		endif;
	}
}
add_action( 'moving_truck_rental_posts_pagination', 'moving_truck_rental_render_posts_pagination', 10 );

/**
 * Pagination for single post.
 */
function moving_truck_rental_render_post_navigation() {
	the_post_navigation(
		array(
			'prev_text' => '<span>&#10229;</span> <span class="nav-title">%title</span>',
			'next_text' => '<span class="nav-title">%title</span> <span>&#10230;</span>',
		)
	);
}
add_action( 'moving_truck_rental_post_navigation', 'moving_truck_rental_render_post_navigation' );

/**
 * Adds footer copyright text.
 */
function moving_truck_rental_output_footer_copyright_content() {
    $moving_truck_rental_theme_data = wp_get_theme();
    $moving_truck_rental_copyright_text = get_theme_mod('moving_truck_rental_footer_copyright_text');

    if (!empty($moving_truck_rental_copyright_text)) {
        $moving_truck_rental_text = esc_html($moving_truck_rental_copyright_text);
    } else {
    	$moving_truck_rental_default_text = '<a href="'. esc_url(__('https://asterthemes.com/products/free-moving-truck-wordpress-theme','moving-truck-rental')) . '" target="_blank"> ' . esc_html($moving_truck_rental_theme_data->get('Name')) . '</a>' . '&nbsp;' . esc_html__('by', 'moving-truck-rental') . '&nbsp;<a target="_blank" href="' . esc_url($moving_truck_rental_theme_data->get('AuthorURI')) . '">' . esc_html(ucwords($moving_truck_rental_theme_data->get('Author'))) . '</a>';
		/* translators: %s: WordPress.org URL */
		$moving_truck_rental_default_text .= sprintf(esc_html__(' | Powered by %s', 'moving-truck-rental'), '<a href="' . esc_url(__('https://wordpress.org/', 'moving-truck-rental')) . '" target="_blank">WordPress</a>. ');
        $moving_truck_rental_text = $moving_truck_rental_default_text;
    }
    ?>
    <span><?php echo wp_kses_post($moving_truck_rental_text); ?></span>
    <?php
}
add_action('moving_truck_rental_footer_copyright', 'moving_truck_rental_output_footer_copyright_content');

/* Footer Social Icons */ 
function moving_truck_rental_footer_social_links() {

    if ( get_theme_mod('moving_truck_rental_enable_footer_icon_section', true) ) {

            ?>
            <div class="socialicons">
				<div class="asterthemes-wrapper">
					<?php if ( get_theme_mod('moving_truck_rental_footer_facebook_link', 'https://www.facebook.com/') != '' ) { ?>
						<a target="_blank" href="<?php echo esc_url(get_theme_mod('moving_truck_rental_footer_facebook_link', 'https://www.facebook.com/')); ?>">
							<i class="<?php echo esc_attr(get_theme_mod('moving_truck_rental_facebook_icon', 'fab fa-facebook-f')); ?>"></i>
							<span class="screen-reader-text"><?php esc_html_e('Facebook', 'moving-truck-rental'); ?></span>
						</a>
					<?php } ?>
					<?php if ( get_theme_mod('moving_truck_rental_footer_twitter_link', 'https://x.com/') != '' ) { ?>
						<a target="_blank" href="<?php echo esc_url(get_theme_mod('moving_truck_rental_footer_twitter_link', 'https://x.com/')); ?>">
							<i class="<?php echo esc_attr(get_theme_mod('moving_truck_rental_twitter_icon', 'fab fa-twitter')); ?>"></i>
							<span class="screen-reader-text"><?php esc_html_e('Twitter', 'moving-truck-rental'); ?></span>
						</a>
					<?php } ?>
					<?php if ( get_theme_mod('moving_truck_rental_footer_instagram_link', 'https://www.instagram.com/') != '' ) { ?>
						<a target="_blank" href="<?php echo esc_url(get_theme_mod('moving_truck_rental_footer_instagram_link', 'https://www.instagram.com/')); ?>">
							<i class="<?php echo esc_attr(get_theme_mod('moving_truck_rental_instagram_icon', 'fab fa-instagram')); ?>"></i>
							<span class="screen-reader-text"><?php esc_html_e('Instagram', 'moving-truck-rental'); ?></span>
						</a>
					<?php } ?>
					<?php if ( get_theme_mod('moving_truck_rental_footer_linkedin_link', 'https://in.linkedin.com/') != '' ) { ?>
						<a target="_blank" href="<?php echo esc_url(get_theme_mod('moving_truck_rental_footer_linkedin_link', 'https://in.linkedin.com/')); ?>">
							<i class="<?php echo esc_attr(get_theme_mod('moving_truck_rental_linkedin_icon', 'fab fa-linkedin')); ?>"></i>
							<span class="screen-reader-text"><?php esc_html_e('Linkedin', 'moving-truck-rental'); ?></span>
						</a>
					<?php } ?>
					<?php if ( get_theme_mod('moving_truck_rental_footer_youtube_link', 'https://www.youtube.com/') != '' ) { ?>
						<a target="_blank" href="<?php echo esc_url(get_theme_mod('moving_truck_rental_footer_youtube_link', 'https://www.youtube.com/')); ?>">
							<i class="<?php echo esc_attr(get_theme_mod('moving_truck_rental_youtube_icon', 'fab fa-youtube')); ?>"></i>
							<span class="screen-reader-text"><?php esc_html_e('Youtube', 'moving-truck-rental'); ?></span>
						</a>
					<?php } ?>
				</div>
            </div>
            <?php
    }
}
add_action('wp_footer', 'moving_truck_rental_footer_social_links');

if ( ! function_exists( 'moving_truck_rental_footer_widget' ) ) :
	function moving_truck_rental_footer_widget() {
		$moving_truck_rental_footer_widget_column = get_theme_mod('moving_truck_rental_footer_widget_column','4');

		$moving_truck_rental_column_class = '';
		if ($moving_truck_rental_footer_widget_column == '1') {
			$moving_truck_rental_column_class = 'one-column';
		} elseif ($moving_truck_rental_footer_widget_column == '2') {
			$moving_truck_rental_column_class = 'two-columns';
		} elseif ($moving_truck_rental_footer_widget_column == '3') {
			$moving_truck_rental_column_class = 'three-columns';
		} else {
			$moving_truck_rental_column_class = 'four-columns';
		}
	
		if($moving_truck_rental_footer_widget_column !== ''): 
		?>
		<div class="dt_footer-widgets <?php echo esc_attr($moving_truck_rental_column_class); ?> wow bounceInUp delay-1000" data-wow-duration="2s">
			<div class="footer-widgets-column">
				<?php
				$footer_widgets_active = false;

				// Loop to check if any footer widget is active
				for ($moving_truck_rental_i = 1; $moving_truck_rental_i <= $moving_truck_rental_footer_widget_column; $moving_truck_rental_i++) {
					if (is_active_sidebar('moving-truck-rental-footer-widget-' . $moving_truck_rental_i)) {
						$footer_widgets_active = true;
						break;
					}
				}

				if ($footer_widgets_active) {
					// Display active footer widgets
					for ($moving_truck_rental_i = 1; $moving_truck_rental_i <= $moving_truck_rental_footer_widget_column; $moving_truck_rental_i++) {
						if (is_active_sidebar('moving-truck-rental-footer-widget-' . $moving_truck_rental_i)) : ?>
							<div class="footer-one-column">
								<?php dynamic_sidebar('moving-truck-rental-footer-widget-' . $moving_truck_rental_i); ?>
							</div>
						<?php endif;
					}
				} else {
				?>
				<div class="footer-one-column default-widgets">
					<aside id="search-2" class="widget widget_search default_footer_search">
						<div class="widget-header">
							<h4 class="widget-title"><?php esc_html_e('Search Here', 'moving-truck-rental'); ?></h4>
						</div>
						<?php get_search_form(); ?>
					</aside>
				</div>
				<div class="footer-one-column default-widgets">
					<aside id="recent-posts-2" class="widget widget_recent_entries">
						<h2 class="widget-title"><?php esc_html_e('Recent Posts', 'moving-truck-rental'); ?></h2>
						<ul>
							<?php
							$recent_posts = wp_get_recent_posts(array(
								'numberposts' => 5,
								'post_status' => 'publish',
							));
							foreach ($recent_posts as $post) {
								echo '<li><a href="' . esc_url(get_permalink($post['ID'])) . '">' . esc_html($post['post_title']) . '</a></li>';
							}
							wp_reset_query();
							?>
						</ul>
					</aside>
				</div>
				<div class="footer-one-column default-widgets">
					<aside id="recent-comments-2" class="widget widget_recent_comments">
						<h2 class="widget-title"><?php esc_html_e('Recent Comments', 'moving-truck-rental'); ?></h2>
						<ul>
							<?php
							$recent_comments = get_comments(array(
								'number' => 5,
								'status' => 'approve',
							));
							foreach ($recent_comments as $comment) {
								echo '<li><a href="' . esc_url(get_comment_link($comment)) . '">' .
									/* translators: %s: details. */
									sprintf(esc_html__('Comment on %s', 'moving-truck-rental'), get_the_title($comment->comment_post_ID)) .
									'</a></li>';
							}
							?>
						</ul>
					</aside>
				</div>
				<div class="footer-one-column default-widgets">
					<aside id="calendar-2" class="widget widget_calendar">
						<h2 class="widget-title"><?php esc_html_e('Calendar', 'moving-truck-rental'); ?></h2>
						<?php get_calendar(); ?>
					</aside>
				</div>
			</div>
			<?php } ?>
		</div>
		<?php
		endif;
	}
	endif;
add_action( 'moving_truck_rental_footer_widget', 'moving_truck_rental_footer_widget' );


function moving_truck_rental_footer_text_transform_css() {
    $moving_truck_rental_footer_text_transform = get_theme_mod('footer_text_transform', 'none');
    ?>
    <style type="text/css">
        .site-footer h4,footer#colophon h2.wp-block-heading,footer#colophon .widgettitle,footer#colophon .widget-title {
            text-transform: <?php echo esc_html($moving_truck_rental_footer_text_transform); ?>;
        }
    </style>
    <?php
}
add_action('wp_head', 'moving_truck_rental_footer_text_transform_css');

/**
 * GET START FUNCTION
 */

function moving_truck_rental_getpage_css($hook) {
	wp_enqueue_script( 'moving-truck-rental-admin-script', get_template_directory_uri() . '/resource/js/moving-truck-rental-admin-notice-script.js', array( 'jquery' ) );
    wp_localize_script( 'moving-truck-rental-admin-script', 'moving_truck_rental_ajax_object',
        array( 'ajax_url' => admin_url( 'admin-ajax.php' ) )
    );
    wp_enqueue_style( 'moving-truck-rental-notice-style', get_template_directory_uri() . '/resource/css/notice.css' );
}

add_action( 'admin_enqueue_scripts', 'moving_truck_rental_getpage_css' );


add_action('wp_ajax_moving_truck_rental_dismissable_notice', 'moving_truck_rental_dismissable_notice');
function moving_truck_rental_switch_theme() {
    delete_user_meta(get_current_user_id(), 'moving_truck_rental_dismissable_notice');
}
add_action('after_switch_theme', 'moving_truck_rental_switch_theme');
function moving_truck_rental_dismissable_notice() {
    update_user_meta(get_current_user_id(), 'moving_truck_rental_dismissable_notice', true);
    die();
}

function moving_truck_rental_deprecated_hook_admin_notice() {
    global $moving_truck_rental_pagenow;
    
    // Check if the current page is the one where you don't want the notice to appear
    if ( $moving_truck_rental_pagenow === 'themes.php' && isset( $_GET['page'] ) && $_GET['page'] === 'moving-truck-rental-getting-started' ) {
        return;
    }

    $dismissed = get_user_meta( get_current_user_id(), 'moving_truck_rental_dismissable_notice', true );
    if ( !$dismissed) { ?>
        <div class="getstrat updated notice notice-success is-dismissible notice-get-started-class">
            <div class="at-admin-content" >
                <h2><?php esc_html_e('Welcome to Moving Truck Rental', 'moving-truck-rental'); ?></h2>
                <p><?php _e('Explore the features of our Pro Theme and take your Truck journey to the next level.', 'moving-truck-rental'); ?></p>
                <p ><?php _e('Get Started With Theme By Clicking On Getting Started.', 'moving-truck-rental'); ?><p>
                <div style="display: flex; justify-content: center; align-items:center; flex-wrap: wrap; gap: 5px">
                    <a class="admin-notice-btn button button-primary button-hero" href="<?php echo esc_url( admin_url( 'themes.php?page=moving-truck-rental-getting-started' )); ?>"><?php esc_html_e( 'Get started', 'moving-truck-rental' ) ?></a>
                    <a  class="admin-notice-btn button button-primary button-hero" target="_blank" href="https://demo.asterthemes.com/moving-truck-rental"><?php esc_html_e('View Demo', 'moving-truck-rental') ?></a>
                    <a  class="admin-notice-btn button button-primary button-hero" target="_blank" href="https://asterthemes.com/products/movers-wordpress-theme"><?php esc_html_e('Buy Now', 'moving-truck-rental') ?></a>
                    <a  class="admin-notice-btn button button-primary button-hero" target="_blank" href="<?php echo esc_url( MOVING_TRUCK_RENTAL_BUNDLE_PAGE ); ?>"><?php esc_html_e('Get Bundle', 'moving-truck-rental') ?></a>
                </div>
            </div>
            <div class="at-admin-image">
                <img style="width: 100%;max-width: 320px;line-height: 40px;display: inline-block;vertical-align: top;border: 2px solid #ddd;border-radius: 4px;" src="<?php echo esc_url(get_stylesheet_directory_uri()) .'/screenshot.png'; ?>" />
            </div>
        </div>
    <?php }
}

add_action( 'admin_notices', 'moving_truck_rental_deprecated_hook_admin_notice' );

//Admin Notice For Getstart
function moving_truck_rental_ajax_notice_handler() {
    if ( isset( $_POST['type'] ) ) {
        $type = sanitize_text_field( wp_unslash( $_POST['type'] ) );
        update_option( 'dismissed-' . $type, TRUE );
    }
}